package com.huimv.manage.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.manage.sys.entity.Group;
import com.huimv.manage.common.utils.Result;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-09
 */
public interface IGroupService extends IService<Group> {

    Result updateGroup( Group group);

    Result removeGroup(Integer groupId);

    IPage<Group> listGroup(Map map, List<Integer> allChildId);

    Result addGroup(Group group,Integer userId);
}
